<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useOnStepOutputChanged](./react.useonstepoutputchanged.md)

## useOnStepOutputChanged() function

This hooks handles managing a step's output within the workflow. This hook assumes that each step will have a single output, which will become an invariant we expand upon in the future.

<b>Signature:</b>

```typescript
export declare function useOnStepOutputChanged(workflow: Workflow): (step: Step) => void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  workflow | Workflow | the workflow instance |

<b>Returns:</b>

(step: Step) =&gt; void

A callback to use when the step output changes

